<?php

include "functions.php";
include "header.php";

include "headerline.php";
include "nav.php";



?>

<!-- Banner -->
	<section id="banner">
		<div class="content">

<?php




// Verarbeitung des Formulars, wenn es gesendet wurde
if ($_SERVER["REQUEST_METHOD"] == "POST" ) {
    // Iteriere über alle Mitarbeiter
    foreach ($_POST["anzahlBetrag"] as $mitarbeiterID => $anzahlBetrag) {
        // Validierung könnte hier hinzugefügt werden
        #$anzahlBetrag = $anzahlBetrag;
		$anzahlBetrag = floatval($anzahlBetrag);
		
		if($anzahlBetrag != 0){
			$datum = date("Y-d-m H:i:s"); // Das aktuelle Datum verwenden

			// SQL-Abfrage zum Einfügen der Daten
			$sql = "INSERT INTO kl_Einzahlungen (MitarbeiterID, Betrag, Datum) VALUES (?, ?, ?)";
			$params = array($mitarbeiterID, $anzahlBetrag, $datum);

			$stmt = sqlsrv_query($conn, $sql, $params);

			if ($stmt === false) {
				die(print_r(sqlsrv_errors(), true));
			}
		}
    }

    echo "Einträge erfolgreich hinzugefügt.";
}elseif($_SERVER["REQUEST_METHOD"] == "GET" AND isset($_GET["action"])){

	if($_GET["action"] == "vorderseite"){

		$sqlMitglieder = "SELECT M.MitarbeiterID, M.Name, M.Email
		FROM kl_Mitarbeiter M
		JOIN kl_Kaffeeverbrauch V ON M.MitarbeiterID = V.MitarbeiterID
		WHERE V.Datum >= DATEADD(DAY, -100, GETDATE()) AND M.aktiv = 1
		GROUP BY M.MitarbeiterID, M.Name, M.Email
		HAVING SUM(V.AnzahlStriche) >= 10
		ORDER BY Name;";
		
	}elseif( $_GET["action"] == "rueckseite"){

		$sqlMitglieder = "SELECT M.MitarbeiterID, M.Name, M.Email
		FROM kl_Mitarbeiter M
		LEFT JOIN kl_Kaffeeverbrauch V ON M.MitarbeiterID = V.MitarbeiterID AND V.Datum >= DATEADD(DAY, -100, GETDATE())
		WHERE M.aktiv = 1
		GROUP BY M.MitarbeiterID, M.Name, M.Email
		HAVING COALESCE(SUM(V.AnzahlStriche), 0) < 10
		ORDER BY M.Name;";
	}elseif($_GET["action"] == "alle"){
	// Mitarbeiter aus der Datenbank abrufen und nach Namen sortieren
	$sqlMitarbeiter = "SELECT MitarbeiterID, Name FROM kl_Mitarbeiter  WHERE aktiv = 1 ORDER BY Name";
	}
	
}else{
	// Mitarbeiter aus der Datenbank abrufen und nach Namen sortieren
	$sqlMitarbeiter = "SELECT MitarbeiterID, Name FROM kl_Mitarbeiter  WHERE aktiv = 1 ORDER BY Name";

	
}

$stmtMitarbeiter = sqlsrv_query($conn, $sqlMitarbeiter);

// Schließe die Verbindung zur Datenbank
#sqlsrv_close($conn);
?>

<!DOCTYPE html>
<html lang="de">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Kaffeeliste - Einzahlung</title>
</head>
<body>

<h2>Einzahlungen für alle Mitarbeiter</h2>
<ul class="actions">
	<li>
		<form action="einzahlung.php?aktion=vorderseite" method="get">
			<button type="submit">Vorderseite</button>
		</form>	
	</li>
	<li>
		<form action="einzahlung.php?aktion=rueckseite" method="get">
			<button type="submit">Rückseite</button>
		</form>	
	</li>
<li>
		<form action="einzahlung.php?aktion=alle" method="get">
			<button type="submit">Alle</button>
		</form>	
	</li>
	<li>
		<form action="letzteneintraege.php" method="get">
			<button type="submit">Letzten Einträge</button>
		</form>	
	</li>
	<li>
		<form action="csvupload.php" method="get">
			<button type="submit">CSV Upload</button>
		</form>	
	</li>
</ul>
<form method="post" action="<?php echo htmlspecialchars($_SERVER["PHP_SELF"]); ?>">
    <?php
	
	echo "<table>";
	echo "    <tr>
        <th>Mitarbeiter</th>
        <th>Betrag</th>
		</tr>";
    // Iteriere über alle Mitarbeiter
    while ($row = sqlsrv_fetch_array($stmtMitarbeiter, SQLSRV_FETCH_ASSOC)) {
        $mitarbeiterID = $row["MitarbeiterID"];
        $mitarbeiterName = $row["Name"];
		echo "<tr>";
        // Formularfeld für die Anzahl der Striche
        echo "<td><label for='anzahlBetrag[$mitarbeiterID]'>$mitarbeiterName   </label></td>";
        echo "<td><input type='number' name='anzahlBetrag[$mitarbeiterID]' step='0.01'></td>";
		echo "</tr>";
    }
	echo "</table>";
    ?>

    <button type="submit" name="submit" value="Speichern" >Eintragen</button>
</form>

</body>
</html>

</div>
</section>

<?php include "footer.php"; ?>